LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Macros | Functions
stream.c File Reference
`#include "main.h"`
`#include "stream.h"`
`#include "htmsocket.h"`
`#include "support.h"`
`#include "interface.h"`
`#include "../libweed/weed.h"`
`#include "../libweed/weed-host.h"`
`#include "../libweed/weed-palettes.h"`

## Macros
#define | L2L_PACKET_LEN 1024
#define | DROP_AGING_FRAMES

## Functions
void | lives2lives_read_stream (const char *host, int port)
void | weed_layer_set_from_lives2lives (weed_plant_t *layer, int clip, lives_vstream_t *lstream)
void | on_send_lives2lives_activate (LiVESMenuItem *menuitem, livespointer user_data)
void | on_open_lives2lives_activate (LiVESMenuItem *menuitem, livespointer user_data)
lives_pandh_w * | create_pandh_dialog (int type)

## Macro Definition Documentation

#define DROP_AGING_FRAMES

#define L2L_PACKET_LEN 1024

## Function Documentation

lives_pandh_w* create_pandh_dialog | ( | int | type | ) |

void lives2lives_read_stream | ( | const char * | host,
|  | int | port
| ) |  |

void on_open_lives2lives_activate | ( | LiVESMenuItem * | menuitem,
|  | livespointer | user_data
| ) |  |

void on_send_lives2lives_activate | ( | LiVESMenuItem * | menuitem,
|  | livespointer | user_data
| ) |  |

void weed_layer_set_from_lives2lives | ( | weed_plant_t * | layer,
|  | int | clip,
|  | lives_vstream_t * | lstream
| ) |  |